relay_alloc_buf
Prev | relay interface | Next

## Name

relay_alloc_buf — allocate a channel buffer

## Synopsis

`void * relay_alloc_buf (` | struct rchan_buf * | buf,
| size_t * | size`)`;

## Arguments

`buf`

  the buffer struct

`size`

  total size of the buffer

## Description

Returns a pointer to the resulting buffer, `NULL` if unsuccessful. The passed in size will get page aligned, if it isn't already.

Prev | Up | Next
relay_mmap_buf | Home | relay_create_buf